Page MenuHomeFreeBSD

Update devel/qbs to 1.6.0 and devel/qtcreator to 4.1.0
ClosedPublic

Authored by tcberner on Sep 13 2016, 8:24 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mar 31 2017, 7:23 PM
Unknown Object (File)
Mar 31 2017, 3:21 PM
Unknown Object (File)
Feb 24 2017, 4:23 AM
Unknown Object (File)
Dec 13 2016, 9:30 AM
Unknown Object (File)
Dec 7 2016, 12:26 PM
Unknown Object (File)
Dec 6 2016, 9:23 PM
Unknown Object (File)
Nov 27 2016, 3:08 PM
Unknown Object (File)
Nov 18 2016, 1:58 PM
Subscribers

Details

Summary
  • Update devel/qbs to 1.6.0
  • Update devel/qtcreator to 4.1.0
  • Add the QMAKE_LIBDIR_FLAGS hack we use in bsd.qt.mk for the Qt-ports. This should hopefully make it possible to upgrade qbs & qtcreator without deinstalling them first.
  • As there is a qtcreator plugin linking against libqbscore.so, change the RUN_- and BUILD_DEPENDS into a LIB_DEPENDS.
Test Plan

Tested in poudriere: 9.3 (32&64), 10.3 (32&64), 12 (64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

tcberner retitled this revision from to Update devel/qbs to 1.6.0 and devel/qtcreator to 4.1.0.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: rakuco, mat.
tcberner added a subscriber: adridg.
rakuco edited edge metadata.
This revision is now accepted and ready to land.Sep 13 2016, 8:26 PM
This revision was automatically updated to reflect the committed changes.